const testing = require('../services/mail.services');
const log = require('../utils/log.utils');

async function getAlive(){
  log.out('kubeServices.getAlive: alive hook checked', 'info');
  return {code: 200, state: {state: 'alive',noise: 'twit-twoo'}};
}

async function getReady(){
  log.out('kubeServices.getReady: ready hook checked', 'info');
  testing.send({
    to: 'fred@fjla.uk',
    subject: 'OwlBoard Test',
    txt: 'This is a test message from OwlBoard (testing)'
  });
  return 'not_implemented';
}

async function getTime(){
  var now = new Date();
  return {responseGenerated: now};
}

module.exports = {
  getAlive,
  getReady,
  getTime
};